#include <iostream>

using namespace std;

int main()
{
    long long x, y;

    cin >> x >> y;

    int a, b;

    long long res = 0;

    long long dek = 1;

    while(x > 0 && y > 0){

        a = x % 10;
        b = y % 10;

        x /= 10;
        y /= 10;

        if(a > b) res += a * dek;

        else if(b > a) res += b * dek;

        else{

            res += a * dek;

            dek *= 10;

            res += b * dek;
        }

        dek *= 10;
    }

    res += x * dek;

    res += y * dek;

    cout << res;

    return 0;
}